MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031517Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-04-23 17:412020-05-10 14:17
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031517: Data Exchange - wrong result of ShapeTool::UpdateAssemblies()
DescriptionUpdateAssembly returns wrong result in case of shared assemblies, see example in Steps To Reproduce
Steps To Reproducebugs xde bug31517

pload ALL
# make structure with two assemblies linked to one original assembly (2 * 3 boxes)
box b1 1 1 1
box b2 2 0 0 1 1 1
box b3 -2 0 0 1 1 1
compound b1 b2 b3 bs
copy bs bs1
ttranslate bs1 0 2 0
copy bs bs2
ttranslate bs2 0 -2 0
compound bs1 r1
compound bs2 r2
compound r1 r2 root
XNewDoc D
XAddShape D root
# delete on of boxes in common assembly (should be 2 * 2 boxes)
XRemoveComponent D 0:1:1:3:1
XRemoveShape D 0:1:1:4
XUpdateAssemblies D
XGetOneShape upd D <- the result shape consists of 2 + 3 boxes - error
Additional information
and documentation updates
issue from CADProcessor project
TagsNo tags attached.
Test case numberbugs/xde/bug31517
Attached Files

- Relationships

-  Notes
(0091738)
git (administrator)
2020-04-23 17:59

Branch CR31517 has been created by ika.

SHA-1: 7857a4a942157bd91356c56f8199a5b4c0d7a1d4


Detailed log of new commits:

Author: ika
Date: Thu Apr 23 17:58:59 2020 +0300

    0031517: Data Exchange - wrong result of ShapeTool::UpdateAssemblies()
    
    Get rid of problem with updating of parents shared one assembly.
(0091769)
ika (developer)
2020-04-24 11:50

Dear SSV,

could you please review branch CR31517?

All tests are passed successfully:
http://occt-tests/CR31517-master-ika-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR31517-master-ika-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR31517-master-ika-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR31517-master-ika-Products/Debian80-64/diff_summary.html [^]
(0091790)
ssv (developer)
2020-04-24 17:57

Dear Ira,

Should we move the "TDF_LabelMap anUpdated" declaration out of the for-loop in the XCAFDoc_ShapeTool::UpdateAssemblies() method? Else, I don't have any other remarks.
(0091791)
git (administrator)
2020-04-24 18:06

Branch CR31517 has been updated forcibly by ika.

SHA-1: 341879ef3cadadd6e62f8680ab0138883e2a06a8
(0091794)
ika (developer)
2020-04-24 20:06

The remark was applied, test results are the same (all tests successful).

Dear bugmaster,

please integrate:

OCCT – CR31517
Products – NOT
(0091976)
bugmaster (administrator)
2020-05-07 10:50

Combination -
OCCT branch : WEEK-18
master SHA - b40cdc2b5584fdf78f90594a3c7469213c7dc4a6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-18 SHA - f3160246a8ae8356b116065842ce354791652bb4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17165.480000000167 / 17147.810000000212 [+0.10%]
Products
Total CPU difference: 11271.100000000095 / 11280.480000000087 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18654.578125 / 18665.890625 [-0.06%]
Products
Total CPU difference: 13128.59375 / 13209.109375 [-0.61%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092051)
git (administrator)
2020-05-10 14:17

Branch CR31517 has been deleted by inv.

SHA-1: 341879ef3cadadd6e62f8680ab0138883e2a06a8

- Related Changesets
occt: master 331bcfc0
Timestamp: 2020-04-23 14:58:59
Author: ika
Committer: bugmaster
Details ] Diff ]
0031517: Data Exchange - wrong result of ShapeTool::UpdateAssemblies()

Get rid of problem with updating of parents shared one assembly.
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.hxx Diff ] File ]
add - tests/bugs/xde/bug31517 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-23 17:41 ika New Issue
2020-04-23 17:41 ika Assigned To => ika
2020-04-23 17:59 git Note Added: 0091738
2020-04-23 18:38 bugmaster Project Internal => Open CASCADE
2020-04-24 11:50 ika Note Added: 0091769
2020-04-24 11:50 ika Assigned To ika => ssv
2020-04-24 11:50 ika Status new => resolved
2020-04-24 11:50 ika Steps to Reproduce Updated View Revisions
2020-04-24 17:57 ssv Note Added: 0091790
2020-04-24 17:57 ssv Assigned To ssv => ika
2020-04-24 17:57 ssv Status resolved => feedback
2020-04-24 18:06 git Note Added: 0091791
2020-04-24 20:06 ika Note Added: 0091794
2020-04-24 20:06 ika Assigned To ika => bugmaster
2020-04-24 20:06 ika Status feedback => reviewed
2020-05-07 10:50 bugmaster Note Added: 0091976
2020-05-07 10:50 bugmaster Status reviewed => tested
2020-05-07 10:51 bugmaster Test case number => bugs/xde/bug31517
2020-05-10 14:01 bugmaster Changeset attached => occt master 331bcfc0
2020-05-10 14:01 bugmaster Status tested => verified
2020-05-10 14:01 bugmaster Resolution open => fixed
2020-05-10 14:17 git Note Added: 0092051


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker